package cn.reghao.tnb.file.app.zdisk.model.vo;

import cn.reghao.tnb.file.app.zdisk.model.po.CamDevice;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author reghao
 * @date 2025-09-01 17:53:06
 */
@Getter
@Setter
public class CamDetail {
    private long camId;
    private String camName;
    private boolean onLive;
    private String liveUrl;
    private String date;
    private List<CamRecordInfo> dayRecords;

    public CamDetail(CamDevice camDevice, String date, List<CamRecordInfo> dayRecords) {
        this.camId = camDevice.getCamId();
        this.camName = camDevice.getCamName();
        this.onLive = camDevice.getState();
        this.liveUrl = camDevice.getPullUrl();
        this.date = date;
        this.dayRecords = dayRecords;
    }
}
